aboutsummaryrefslogtreecommitdiffstats
Commit message (Expand)AuthorAgeFiles
* Prepare new release.debian/0.6.1-1debianGuilhem Moulin2020-08-041
* d/control: Bump debhelper compatibility level to 13.Guilhem Moulin2020-08-042
* d/*: Adapt to new build system.Guilhem Moulin2020-08-046
* Refresh patches.Guilhem Moulin2020-08-042
* Bump release number.Guilhem Moulin2020-08-041
* Merge tag 'upstream/0.6.1' into debianGuilhem Moulin2020-08-0415
|\
| * New release 0.6.1upstream/0.6.1Guilhem Moulin2020-08-041
| * Upgrade links to secure HTTP.Guilhem Moulin2020-08-047
| * Ignore [accountd] section from lacme.conf when the --socket option is defined.Guilhem Moulin2020-08-044
| * Makefile: Use variables for target directories etc.Guilhem Moulin2020-08-0411
| * Adapt Apache2 snippet to Apache2 2.4.Guilhem Moulin2020-08-042
| * Change default libexec dir from /usr/lib/lacme to /usr/libexec/lacme.Guilhem Moulin2020-08-035
| * Install lacme manpage to section 8.Guilhem Moulin2020-08-036
| * Makefile: Major refactoring, add install and uninstall targets.Guilhem Moulin2020-08-035
| * factor out jq-script from MakefileBenjamin Tietz2020-08-032
| * Use /run for the listening socket of the webserver component.Guilhem Moulin2019-08-226
* | Prepare new release.debian/0.6-3Guilhem Moulin2020-04-051
* | debian/*.{install,manpages}: Copy files from $DESTDIR.Guilhem Moulin2020-04-055
* | d/control: Bump Standards-Version to 4.5.0 (no changes necessary).Guilhem Moulin2020-04-052
* | Rename d/source.lintian-overrides to d/source/lintian-overrides.Guilhem Moulin2020-04-052
* | d/control: Add "debhelper-compat (= 12)" to Build-Depends.Guilhem Moulin2020-04-053
* | d/control: Add "Rules-Requires-Root: no".Guilhem Moulin2020-04-052
* | New symlink /etc/apache2/conf-available/lacme.confGuilhem Moulin2020-04-052
* | Prepare new release.debian/0.6-2Guilhem Moulin2019-09-181
* | New dependency: libtimedate-perl.Guilhem Moulin2019-09-181
* | Prepare new release.debian/0.6-1Guilhem Moulin2019-08-211
* | d/control: Long description: iptables rules are no longer installed by default.Guilhem Moulin2019-08-211
* | d/compat, d/control: Bump debhelper compatibility level to 12.Guilhem Moulin2019-08-213
* | d/control: Bump Standards-Version to 4.4.0 (no changes necessary).Guilhem Moulin2019-08-212
* | Bump release number.Guilhem Moulin2019-08-211
* | Merge tag 'upstream/0.6' into debianGuilhem Moulin2019-08-217
|\ \ | |/
| * New release 0.6.upstream/0.6Guilhem Moulin2019-08-211
| * lacme: new option 'account --deactivate'Guilhem Moulin2019-08-213
| * Issue GET and POST-as-GET requests (RFC 8555 sec. 6.3)Guilhem Moulin2019-08-212
| * Link to RFC 8555 instead of the ACME I-D URL.Guilhem Moulin2019-08-214
| * Call iptables binaries from /usr/sbin not /sbin.Guilhem Moulin2019-08-212
| * [git] ignore vims' swapfilesBenjamin Tietz2019-01-211
| * lacme, client: new dependency Date::Parse.Guilhem Moulin2019-01-213
| * client: poll order URL instead of each authz URL successively.Guilhem Moulin2019-01-213
* | Prepare new release.debian/0.5-1Guilhem Moulin2018-05-091
* | Apply wrap-and-sort(1)Guilhem Moulin2018-05-093
* | New dependency (lacme): libtypes-serialiser-perlGuilhem Moulin2018-05-092
* | Build-Depends on pandoc >= 2.1Guilhem Moulin2018-05-092
* | Bump Standards-Version to 4.1.4 (no changes necessary).Guilhem Moulin2018-05-092
* | Refresh patchesGuilhem Moulin2018-05-091
* | Bump Debian versionGuilhem Moulin2018-05-091
* | Updated version 0.5 from 'upstream/0.5'Guilhem Moulin2018-05-098
|\ \ | |/
| * New dependency: perl module Types::Serialiserupstream/0.5Guilhem Moulin2018-05-091
| * Use ACME v2 endpointsGuilhem Moulin2018-04-276
| * Fix manpage generation with pandoc >=2.1Guilhem Moulin2018-04-262